> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allyy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get predictions



## OpenAPI

````yaml get /api/prediction/v1.0/customer/{customerId}/Prediction
openapi: 3.0.1
info:
  title: Prediction Api v1.0
  version: v1.0
servers:
  - url: https://app.allyy.io
security: []
paths:
  /api/prediction/v1.0/customer/{customerId}/Prediction:
    get:
      tags:
        - Prediction
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: search
          in: query
          schema:
            type: string
        - name: executionStatus
          in: query
          schema:
            type: array
            items:
              type: integer
              format: int32
        - name: orderBy
          in: query
          schema:
            type: string
        - name: type
          in: query
          schema:
            type: integer
            format: int32
        - name: dataSetId
          in: query
          schema:
            type: array
            items:
              type: string
              format: uuid
        - name: orderByDesc
          in: query
          schema:
            type: boolean
        - name: take
          in: query
          schema:
            type: integer
            format: int32
        - name: skip
          in: query
          schema:
            type: integer
            format: int32
        - name: version
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/PredictionMultipleResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/PredictionMultipleResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/PredictionMultipleResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2:
            - oneprediction_api
components:
  schemas:
    PredictionMultipleResponse:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/Metadata'
        data:
          type: array
          items:
            $ref: '#/components/schemas/Prediction'
          nullable: true
        totalItemsCount:
          type: integer
          format: int32
      additionalProperties: false
    Metadata:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
          nullable: true
        validation:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
          nullable: true
        info:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
      additionalProperties: false
    Prediction:
      type: object
      properties:
        id:
          type: string
          format: uuid
        customerId:
          type: string
          format: uuid
        dataSetId:
          type: string
          format: uuid
        dataSet:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        type:
          $ref: '#/components/schemas/ModelType'
        entityType:
          $ref: '#/components/schemas/EntityType'
        models:
          type: array
          items:
            $ref: '#/components/schemas/PredictionConfigurationModel'
          nullable: true
        execution:
          $ref: '#/components/schemas/Execution'
        recommenderSystemData:
          $ref: '#/components/schemas/PredictionRecommenderSystemModel'
        responsePredictionData:
          $ref: '#/components/schemas/PredictionResponsePredictionModel'
        dMPropensityPredictionData:
          $ref: '#/components/schemas/PredictionTypeSpecificData'
        dMExpectedAmountPredictionData:
          $ref: '#/components/schemas/PredictionTypeSpecificData'
        subscriptionChurnPredictionData:
          $ref: '#/components/schemas/PredictionTypeSpecificData'
      additionalProperties: false
    Error:
      type: object
      properties:
        code:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    ValidationError:
      type: object
      properties:
        property:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    ModelType:
      enum:
        - 4
        - 6
        - 7
        - 8
        - 9
      type: integer
      format: int32
    EntityType:
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 11
        - 12
        - 13
        - 14
        - 17
        - 18
        - 19
      type: integer
      format: int32
    PredictionConfigurationModel:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          nullable: true
      additionalProperties: false
    Execution:
      type: object
      properties:
        id:
          type: string
          format: uuid
          nullable: true
        status:
          $ref: '#/components/schemas/PredictionExecutionStatus'
        started:
          type: string
          format: date-time
          nullable: true
        finished:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    PredictionRecommenderSystemModel:
      type: object
      properties:
        contactSegments:
          type: array
          items:
            type: string
          nullable: true
        entityLists:
          type: array
          items:
            type: string
          nullable: true
        predictionLists:
          type: array
          items:
            type: string
          nullable: true
        daysToPrediction:
          type: integer
          format: int32
      additionalProperties: false
    PredictionResponsePredictionModel:
      type: object
      properties:
        contactSegments:
          type: array
          items:
            type: string
          nullable: true
        entityLists:
          type: array
          items:
            type: string
          nullable: true
        predictionLists:
          type: array
          items:
            type: string
          nullable: true
        daysToPrediction:
          type: integer
          format: int32
      additionalProperties: false
    PredictionTypeSpecificData:
      type: object
      properties:
        predictionLists:
          type: array
          items:
            type: string
          nullable: true
        daysToPrediction:
          type: integer
          format: int32
      additionalProperties: false
    PredictionExecutionStatus:
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 20
        - 100
      type: integer
      format: int32
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://app.allyy.io/api/authentication/connect/authorize
          scopes:
            allyy_api: Allyy API - full access

````